> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.simplified.com/api-reference/platform/project-items/reorder-project-item/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplified.com/_mcp/server. # API · Items · Reorder a project item POST https://api.simplified.com/api/v1/projects/{resourcetype}/{parent_lookup_project_id}/items/{id}/reorder Content-Type: application/json Move a ProjectItem to a new position within the project. Updates the ordering of items accordingly. Reference: https://docs.simplified.com/api-reference/platform/project-items/reorder-project-item ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Header authentication of the form `Api-Key ` - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `resourcetype` (string, required) — Project type selector - `parent_lookup_project_id` (string, required) — Parent project ID - `id` (string, required) — Item ID (UUID) ### Body (application/json) This endpoint expects a ReorderProjectItemRequest. - `position` (integer, optional) — New position index for the item ## Response ### 200 Item reordered - `any` ## Errors ### 400 Bad Request Error Validation error - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Item not found - `any` ## Examples **Request** ```json { "position": 3 } ``` **SDK Code** ```python Project Items_reorderProjectItem_example import requests url = "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder" payload = { "position": 3 } headers = { "Authorization": "Api-Key ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Project Items_reorderProjectItem_example const url = 'https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder'; const options = { method: 'POST', headers: {Authorization: 'Api-Key ', 'Content-Type': 'application/json'}, body: '{"position":3}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Project Items_reorderProjectItem_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder" payload := strings.NewReader("{\n \"position\": 3\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Api-Key ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Project Items_reorderProjectItem_example require 'uri' require 'net/http' url = URI("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Api-Key ' request["Content-Type"] = 'application/json' request.body = "{\n \"position\": 3\n}" response = http.request(request) puts response.read_body ``` ```java Project Items_reorderProjectItem_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder") .header("Authorization", "Api-Key ") .header("Content-Type", "application/json") .body("{\n \"position\": 3\n}") .asString(); ``` ```php Project Items_reorderProjectItem_example request('POST', 'https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder', [ 'body' => '{ "position": 3 }', 'headers' => [ 'Authorization' => 'Api-Key ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Project Items_reorderProjectItem_example using RestSharp; var client = new RestClient("https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Api-Key "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"position\": 3\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Project Items_reorderProjectItem_example import Foundation let headers = [ "Authorization": "Api-Key ", "Content-Type": "application/json" ] let parameters = ["position": 3] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.simplified.com/api/v1/projects/resourcetype/parent_lookup_project_id/items/id/reorder")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```